# Class DetailConfigExtension

Namespace
  adas_core.Domain.Utils

Assembly
  adas-core.Domain.dll

Provides extension methods for the DetailConfigExtension type.

    public static class DetailConfigExtension

Inheritance
  object
  DetailConfigExtension

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Remarks

This is a static utility class that cannot be instantiated and is intended to extend the functionality of DetailConfigExtension through extension method definitions.

## Methods

### GetAllObservationNames(CardDetailsConfig)

    public static List<string> GetAllObservationNames(this CardDetailsConfig config)

#### Parameters

`config` CardDetailsConfig

#### Returns

List<string>